<?php
// it inserts the entry in the admin menu
add_action('admin_menu', 'firecall_create_menu_entry');

// creating the menu entries
function firecall_create_menu_entry() {
	// icon image path that will appear in the menu
   $icon = plugins_url('../images/firecall-menu.png', __FILE__);
	// adding the main manu entry
   add_menu_page(esc_html__('Firecall', 'firecall'), esc_html__('Firecall', 'firecall'), 'edit_posts', 'main-firecall', 'firecall_show_main_page', esc_url($icon));
}

// function triggered in add_menu_page
function firecall_show_main_page() {
   include('main-firecall.php');
}

    /**
 * Enqueue a script with jQuery as a dependency.
 */
    
    add_action( 'admin_enqueue_scripts', 'add_firecall_scripts_func' );
    function add_firecall_scripts_func( $hook_suffix ) {
        $version = FIRECALL_VERSION;
    // first check that $hook_suffix is appropriate for your admin page
        wp_enqueue_style( 'wp-color-picker' );
        wp_enqueue_media();
        wp_enqueue_style( 'firecall-admin-styles', plugins_url( '/assets/css/firecall-admin.css', __FILE__ ), array(), $version, 'all' );
        wp_enqueue_script( 'firecall-admin-scripts', plugins_url('/assets/js/firecall-admin.js', __FILE__ ), array( 'wp-color-picker' ), $version );
        wp_localize_script( 'firecall-admin-scripts','firecallpath', FIRECALL_PLUGIN_FILE );

    }

    add_action('init', 'firecall_include_files_func');
    add_action( 'activate_plugin', 'firecall_include_files_func' , 10, 2);
    function firecall_include_files_func(){

        include_once dirname( __FILE__ ) . '/class-firecall-admin-settings.php';

        $settings = Firecall_Admin_Settings::get_settings_pages();

        foreach ( $settings as $section ) {
            if ( ! method_exists( $section, 'get_settings' ) ) {
                continue;
            }
            $subsections = array_unique( array_merge( array( '' ), array_keys( $section->get_sections() ) ) );

            /**
             * We are using 'firecall_Admin_Settings::get_settings' on purpose even thought it's deprecated.
             * See the method documentation for an explanation.
             */

            foreach ( $subsections as $subsection ) {
                foreach ( $section->get_settings( $subsection ) as $value ) {
                    if ( isset( $value['default'] ) && isset( $value['id'] ) ) {
                        $autoload = isset( $value['autoload'] ) ? (bool) $value['autoload'] : true;
                        add_option( $value['id'], $value['default'], '', ( $autoload ? 'yes' : 'no' ) );
                    }
                }
            }
        }

        ini_set("allow_url_include", 'On');

    }

    add_filter( 'plugin_action_links_firecall/firecall.php', 'firecall_settings_link' );

    function firecall_settings_link( $links ) {

        // Build and escape the URL.
        $url = esc_url( add_query_arg(
            'page',
            'main-firecall',
            get_admin_url() . 'admin.php'
        ) );

        // Create the link.
        $settings_link = "<a href='$url'>" . esc_html__( 'Settings', 'firecall' ) . '</a>';

        // Adds the link to the starting of the array.
        array_unshift(
            $links,
            $settings_link
        );
        
        return $links;
    }   
         //end firecall_settings_link()