	<?php
/**
 * Firecall General Settings
 *
 * @package Firecall\Admin
 */

defined( 'ABSPATH' ) || exit;

if ( class_exists( 'Firecall_Settings_General', false ) ) {
	return new Firecall_Settings_General();
}
include_once dirname( __FILE__ ) . '/class-firecall-setting-page.php';

/**
 * Firecall_Admin_Settings_General.
 */
class Firecall_Settings_General extends Firecall_Settings_Page {

	/**
	 * Constructor.
	 */
	public function __construct() {
		$this->id    = 'general';
		$this->label = esc_html__( 'Agents', 'firecall' );

		parent::__construct();
	}

	/**
	 * Get settings or the default section.
	 *
	 * @return array
	 */
	protected function get_settings_for_default_section() {
		
		$settings =
		array(
			array(
				'title' => esc_html__( 'Agents', 'firecall' ),
				'type'  => 'title',
				'desc'  => wp_kses_post( '', 'firecall' ),
				'id'    => 'firecall_page_settings',
				'desc_tip' => false,
			),
			

			array(
				'title'     => esc_html__( 'Add Agent', 'firecall' ),
				'desc'      => esc_html__( 'This number will count in pixel', 'firecall' ),
				'id'        => 'firecall_agent_list',
				'default'   => array(
					array( 'firecall_ar_image' => esc_url(FIRECALL_PLUGIN_FILE.'/images/user-image.png'),
						'firecall_ar_name' => esc_html__('Alex Smith', 'firecall'), 
						'firecall_ar_position' => esc_html__('Manager', 'firecall'), 
						'firecall_ar_description' => esc_html__("Hey there , Need help? I'm here for you, so just give me a call", 'firecall'), 
						'firecall_ar_telephone' => esc_attr('1234567899'),
						 ) ),
				'desc_tip'  => true,
				'type'      => 'repeater',
			),

			array(
				'type' => 'sectionend',
				'id'   => 'firecall_page_settings',
			),
		);

		return apply_filters( 'firecall_general_settings', $settings );
	}

}

return new Firecall_Settings_General();