<?php
/**
 * Admin View: Settings
 *
 * @package Firecall
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$tab_exists  = isset( $tabs[ $current_tab ] ) || has_action( 'firecall_sections_' . $current_tab ) || has_action( 'firecall_settings_' . $current_tab ) || has_action( 'firecall_settings_tabs_' . $current_tab );

$current_tab_label = isset( $tabs[ $current_tab ] ) ? $tabs[ $current_tab ] : '';

?>

<div class="wrap firecall">
	<?php do_action( 'firecall_before_settings_' . $current_tab ); ?>
	<form method="<?php echo esc_attr( apply_filters( 'firecall_settings_form_method_tab_' . $current_tab, 'post' ), 'firecall' ); ?>" id="mainfirecallform" action="" enctype="multipart/form-data">

		<nav class="nav-tab-wrapper firecall-nav-tab-wrapper">
			<div class="firecall_logo_admin">
				<img src="<?php echo esc_url(FIRECALL_PLUGIN_FILE.'images/firecall-logo.png'); ?>" alt="firecall logo">
			</div>

			<?php
			foreach ( $tabs as $slug => $label ) {
				echo '<a href="' . esc_url( admin_url( 'admin.php?page=main-firecall&tab=' . esc_attr( $slug ) ), 'firecall' ) . '" class="firecall-nav-tab ' . esc_attr( $current_tab === $slug ? 'firecall-nav-tab-active' : '' ) . '">' . esc_html__( $label, 'firecall' ) . '</a>';
			}

			do_action( 'firecall_settings_tabs' );

			?>
		</nav>
		
		<div class="firecall-settings-content">
			<h1 class="screen-reader-text"><?php echo esc_html__( $current_tab_label , 'firecall'); ?></h1>

			<?php

			do_action( 'firecall_sections_' . $current_tab );

			// self::show_messages();

			do_action( 'firecall_settings_' . $current_tab );
			do_action( 'firecall_settings_tabs_' . $current_tab );

			?>
			<p class="submit">
				
					<button name="save" class="button-primary firecall-save-button" type="submit" value="<?php esc_html_e( 'Save changes', 'firecall' ); ?>"><?php echo esc_html__( 'Save changes', 'firecall' ); ?></button>
				
				<?php wp_nonce_field( 'firecall-settings' ); ?>
			</p>
		</div>
	</form>
	<?php do_action( 'firecall_after_settings_' . $current_tab ); ?>
</div>